MS_BIGENDIANHOST(3)

NAME
ms_bigendianhost - Determine host computer byte order

SYNOPSIS
#include <libmseed.h>

int  ms_bigendianhost ();

DESCRIPTION
ms_bigendianhost is a run-time test of host computer byte order. It is assumed that there are only two possible byte orders: Most Significant Byte First (MSBF), i.e. big-endian, and Least Significant Byte First (LSBF), i.e. little-endian. No middle-endian schemes are accounted for.

Binary quantities in SEED are commonly big-endian, but it is not necessarily so.

RETURN VALUES
ms_bigendianhost returns 1 if the host is big-endian and 0 if the host is little-endian.

AUTHOR
Chad Trabant
IRIS Data Management Center